2025.50 Public API / SDK Changes
1 min read
Public API
Public API Documentation
We've added interactive API documentation (Swagger) for the Public API.
What You Can Do
Browse all available API endpoints
View request/response schemas and examples
Test API calls interactively with your authentication
Understand parameters, data types, and error responses
Learn More
Check out the documentation to learn more about how it works and where to access it: https://unique-ch.atlassian.net/wiki/x/Q4A5ZQ
*We are still in the process of testing the documentation, please let us know if you encounter any issues or if you have feedback.
Updates
tech POST Create Folder Structure - API to create folders at specified paths now supports the inheritAccess parameter to control whether folders inherit access permissions from their parent folder.
Currently, the following parameters are supported:
paths (required): An array of folder paths to create
inheritAccess (optional, defaults to true): Controls whether the created folders inherit access permissions from their parent folder
Body
paths - required, an array of strings representing folder paths, example: ["/path/to/folder", "/another/path"]
inheritAccess - optional, boolean value (defaults to true), determines if folders inherit parent access permissions
Example
curl --location --request POST 'https://api.uat1.unique.app/public/chat/folder' \
--header 'x-user-id: <user-id>' \
--header 'x-company-id: <company-id>' \
--header 'Authorization: Bearer <api-key>' \
--header 'x-app-id: <app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json' \
--data '{
"paths": ["/Finance/Q1", "/Finance/Q2"],
"inheritAccess": true
}'SDK
tech Create Folder Paths - Added inheritAccess parameter to control whether newly created folders inherit access permissions from parent folders. Defaults to True.
Example
unique_sdk.Folder.create_paths(
user_id=user_id,
company_id=company_id,
paths=[
"/Company/Reports/Q1",
"/Company/Reports/Q2"
],
inheritAccess=False
)
Author |
|
|---|